package com.arms.api.dashboard.model.dto;

import com.arms.api.util.model.dto.PdServiceAndIsReqDTO;
import lombok.*;

import java.util.List;

@Setter
@Getter
@AllArgsConstructor
@NoArgsConstructor
public class DashboardAggrDTO  {

    PdServiceAndIsReqDTO pdServiceAndIsReq;

    public Long getPdServiceId(){
        return pdServiceAndIsReq.getPdServiceId();
    }

    public List<Long> getPdServiceVersions(){
        return pdServiceAndIsReq.getPdServiceVersions();
    }

    public Boolean getIsReq(){
        return pdServiceAndIsReq.getIsReq();
    }
}
